/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.ryCzrk.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.modules.rhzf.fwInfo.vo.SyjzryVO;
import org.springblade.modules.rhzf.ryCzrk.entity.RyCzrkEntity;
import org.springblade.modules.rhzf.ryCzrk.vo.RyCzrkVO;
import org.springblade.modules.rhzf.ryCzrk.excel.RyCzrkExcel;
import org.springblade.modules.rhzf.ryCzrk.mapper.RyCzrkMapper;
import org.springblade.modules.rhzf.ryCzrk.service.IRyCzrkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;

import java.util.List;

/**
 * 入户走访_人员_常住人口 服务实现类
 *
 * @author BladeX
 * @since 2023-11-14
 */
@Service
public class RyCzrkServiceImpl extends BaseServiceImpl<RyCzrkMapper, RyCzrkEntity> implements IRyCzrkService {

	@Autowired
	private RyCzrkJlServiceImpl ryCzrkJlService;

	@Override
	public IPage<RyCzrkVO> selectRyCzrkPage(IPage<RyCzrkVO> page, RyCzrkVO ryCzrk) {
		return page.setRecords(baseMapper.selectRyCzrkPage(page, ryCzrk));
	}

	@Override
	public List<RyCzrkExcel> exportRyCzrk(Wrapper<RyCzrkEntity> queryWrapper) {
		List<RyCzrkExcel> ryCzrkList = baseMapper.exportRyCzrk(queryWrapper);
		//ryCzrkList.forEach(ryCzrk -> {
		//	ryCzrk.setTypeName(DictCache.getValue(DictEnum.YES_NO, RyCzrk.getType()));
		//});
		return ryCzrkList;
	}

	@Override
	public boolean updateRy(SyjzryVO syjzryVO) {
		return baseMapper.updateRy(syjzryVO);
	}

	@Override
	public void czrkZx(RyCzrkEntity czrkEntity) {
		baseMapper.czrkZx(czrkEntity);
	}

	@DS("jl")
	@Override
	public void saveToJl(RyCzrkEntity czrkEntity) {
		ryCzrkJlService.save(czrkEntity);
	}

	@DS("jl")
	@Override
	public void updateByIdToJl(RyCzrkEntity czrkEntity) {
		ryCzrkJlService.updateById(czrkEntity);
	}

	@DS("jl")
	@Override
	public void czrkZxToJl(RyCzrkEntity czrkEntity) {
		baseMapper.czrkZx(czrkEntity);
	}
}
